com.amazon.redshift.ssl

## Class NonValidatingFactory.NonValidatingTM

- java.lang.Object
- - com.amazon.redshift.ssl.NonValidatingFactory.NonValidatingTM

All Implemented Interfaces:
  TrustManager, X509TrustManager

Enclosing class:
  NonValidatingFactory

    public static class NonValidatingFactory.NonValidatingTM
    extends Object
    implements X509TrustManager

### Constructor Summary

Constructors
Constructor and Description
`NonValidatingFactory.NonValidatingTM()`

### Method Summary

Methods
`void` `checkClientTrusted(X509Certificate[] certs, String authType)`
`void` `checkServerTrusted(X509Certificate[] certs, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonValidatingFactory.NonValidatingTM

    public NonValidatingFactory.NonValidatingTM()

### Method Detail

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`

#### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] certs,
                          String authType)

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`

#### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] certs,
                          String authType)

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`